Page MenuHomePhabricator

We should set "destructive" on parameter remove buttons in the transclusion dialog in VisualEditor when using the OOUI MediaWiki theme
Closed, ResolvedPublic

Description

See screenshot:

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF triaged this task as High priority.Dec 9 2014, 8:33 PM

Gosh that looks terrible. I don't know that the style guide actually demands this, because these are secondary actions and should thus be quieter.

Change 178717 had a related patch set uploaded (by Jforrester):
ve.ui.MWParameter*: Use the destructive flag for all four remove buttons

https://gerrit.wikimedia.org/r/178717

Patch-For-Review

Gosh that looks terrible. I don't know that the style guide actually demands this, because these are secondary actions and should thus be quieter.

Yeah, but consistency…

Change 178717 merged by jenkins-bot:
ve.ui.MWParameter*: Use the destructive flag for all four remove buttons

https://gerrit.wikimedia.org/r/178717

matmarex moved this task from Backlog to Doing on the OOUI board.Dec 10 2014, 5:44 PM
Jdforrester-WMF closed this task as Resolved.Dec 10 2014, 6:45 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:57 PM